<?php
session_start(); // read from existing session file
if(empty($_SESSION['username'])){ // If there is no username previously inputed by user (or it is incorrect), they cannot proceed
    header("Location: login_form.php"); 
    exit();
}else{
    $usernameTitle = $_SESSION['username']; // If the correct user credentials are added 
    echo "<h1>Successful login, $usernameTitle!</h1>";
}
      echo "Account Information: ".$_SESSION['fName']. " " .$_SESSION['lName']. ", " .$_SESSION['email']; // Echoes back information related to the user such as email and last name 
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Search Forms</title>
     <style>
      /* Below includes the "style" or otherwise decorative parts of the website to make it appear more aesthetically pleasing to the user*/
        body {
            height: 10;
            margin: 50;
            background-color: #bce6e4; 
        }
        legend{
            font-weight:bold;
        }
        form {
            width: 400px;
            background-color: #fff;
            display: inline-block;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-left: auto;
            margin-right: auto;
            text-align: left;
        }
        fieldset {
            border: 1px solid black;
            padding: 10px;
            margin: 0;
        }
        input[type="submit"] {
            padding: 10px 20px;
            border-radius: 5px;
            cursor: pointer;
        }
    </style>
</head>
<body>
            <br><br>
        
        <br><br>
<!-- When the user wishes to exit out of the account, they may do so by logging out of the account with this button.-->    
    <button  onclick="window.location.href='logout.php';">Log out</button>
    <center>
        <br><br>
        <img src="Lidle.png" style="max-width:500px" alt="Lidle Logo">
        <h2> Use the search features below to find your desired candle! </h2>
<!-- The first form will allow the user to search for a desired product by category type. The drop down menu allows them to choose from pre-established options, rather than type and hope the spelling matches/category exists in system.-->
<form action="candlecategory.php" method="post"> 
	<fieldset><legend>Search via category:</legend>
	<p>Select a type of candle: 
	<select name="category_type"> <!-- The input type signaled to the handle form  -->
		<option value="Pillar">Pillar</option> <!-- Value attribute matches the database's value -->
		<option value="Jar">Jar</option> 
		<option value="Aromatherapy">Aromatherapy</option> 
		<option value="Scented">Scented</option> 
		<option value="Other">Other</option>
	</select></p>
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
<br><br>
<!-- The second form allows users to search orders by price range-->
<form action="candleprice.php" method="post"> 
	<fieldset><legend>Search via price range:</legend>
	<p>Between $
	<input type="text" name="min_price" size="20" maxlength="40"> (Minimum Price)
	and $
	<input type="text" name="max_price" size="20" maxlength="40"> (Maximum Price)</p>
	<div align="center"><input type="submit" name="search" value="search"> 
	</div>
	</fieldset>
</form>
<br><br>
<!-- The third form allows users to search orders by keyword-->
<form action="candle_name.php" method="post">
	<fieldset><legend>Search via name:</legend>
	<p>Enter a product keyword: 
	<input type="text" name="product_name" size="20" maxlength="40"></p>
	<div align="center"><input type="submit" name="search" value="search"></div>
	</fieldset>
</form>
</body>
</html>