<!doctype html>
<html>
    <head>
        <title>View All Users</title>
        <style>
      /* Below includes the "style" or otherwise decorative parts of the website to make it appear more aesthetically pleasing to the user*/
        body {
        
            height: 10;
            margin: 50;
            background-color: #bce6e4; 
        }
        
        legend{
            font-weight:bold;
        }

        form {
            width: 400px;
            background-color: #fff;
            display: inline-block;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-left: auto;
            margin-right: auto;
            text-align: left;
            
        }

        fieldset {
            border: 1px solid black;
            padding: 10px;
            margin: 0;
        }

       
        input[type="submit"] {
            padding: 10px 20px;
            border-radius: 5px;
            cursor: pointer;
        }
    </style>
    </head>
<body>
    <?php // display all users data for admin
    include('mysqli_connect.php'); 
    $query = "SELECT * from users"; // Query not dependent on any user input
    $result = mysqli_query($dbc, $query);
    mysqli_close($dbc);
    $row_cnt = mysqli_num_rows($result); // Counts how many users in total
    echo "In total, the number of retrieved records is:  <b> $row_cnt </b> <br>";
    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
	    echo $row['username'] . ", ". $row['email'] . "<br>"; // Check table columns set in the database
    }
    echo "<button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>"; // Allows user to return to previous page
	echo "<button type=\"button\" onclick=\"location.href='logout.php'\">Log out</button>"; // Allows user to logout if desired
    ?>
</body>
</html>