<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Added Candle Page</title>
     <style>
      /* Below includes the "style" or otherwise decorative parts of the website to make it appear more aesthetically pleasing to the user*/
        body {
            height: 10;
            margin: 50;
            background-color: #bce6e4; 
        }
        legend{
            font-weight:bold;
        }
        form {
            width: 400px;
            background-color: #fff;
            display: inline-block;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-left: auto;
            margin-right: auto;
            text-align: left;
        }
        fieldset {
            border: 1px solid black;
            padding: 10px;
            margin: 0;
        }
        input[type="submit"] {
            padding: 10px 20px;
            border-radius: 5px;
            cursor: pointer;
        }
    </style>
</head>
<body>
</body>
</html>
<?php
include('mysqli_connect.php'); // Connect to the database
$candleName = mysqli_real_escape_string($dbc, trim($_POST['canName'])); // The candle name is processed and unneeded spaces are cut out
$category = mysqli_real_escape_string($dbc, trim($_POST['category'])); // The category is processed and unneeded spaces are cut out
$price = mysqli_real_escape_string($dbc, trim($_POST['price'])); // The price is processed and unneeded spaces are cut out
$quantity = mysqli_real_escape_string($dbc, trim($_POST['quantity'])); // The quantity is processed and unneeded spaces are cut out
$description = mysqli_real_escape_string($dbc, trim($_POST['description'])); // The description is processed and unneeded spaces are cut out
$query = "INSERT INTO `products`(`candleName`, `category`,`price`,`quantity`,`description`) VALUES ('$candleName', '$category', $price, $quantity, '$description')"; // The query is processed with user input information
$result = mysqli_query($dbc,$query); // Result is compiled
if ($result){
    echo "The candle <strong> $candleName </strong> has been successfully added to the database"; // Successful entry into database
} else {
    echo mysqli_error($dbc); // Gives error if something is wrong
}
echo "<br><br>";
echo "<button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>" ; // Button to go back to admin secret page
echo "<button type=\"button\" onclick=\"location.href='Logout.php'\">Log Out</button>" ; // Logout button if user wants to exit out of the account
?>
